{"openapi":"3.1.0","info":{"title":"LifeGraph APIs","description":"LifeGraph API descriptions","license":{"name":"BurstIQ, Inc.","url":"https://www.burstiq.com"},"version":"2.42.0"},"servers":[{"url":"https://api.burstiq.com","description":"Generated server url"}],"tags":[{"name":"Edge Definition Metadata APIs","description":"Edge Definitions are required for the system to know what edges are allowed between live node data"},{"name":"Metrics APIs","description":"Set of operations metrics in a secure data zone"},{"name":"Job Manager APIs","description":"Platform support asynchronous jobs, and these endpoints allow for the creation, status, and management of these jobs"},{"name":"Dictionary Metadata APIs","description":"Dictionaries are schemas essentially, they describe the data allowed within a Node of a LifeGraph (can be thought of as a record too); a Node in the LG is akin to a Smart Data Object"},{"name":"DbSchema APIs","description":"DbSchema is an alternative method to define the dictionaries of the SDZ; it is a 3rd party tool https://dbschema.com/"},{"name":"Wallet APIs","description":"For interacting with wallets when the type of wallet (user or system) is unknown"},{"name":"Data Pipeline JS Transform Step APIs","description":"JS Transform  Step is a step used in Data Pipelines and is used to transform fields"},{"name":"BlastAI APIs","description":"Set of operations for Blast AI"},{"name":"Data Pipeline APIs","description":"Data Pipelines are managed for use of manipulating data"},{"name":"Metadata Util APIs","description":"various metadata endpoints/functions"},{"name":"System Wallet APIs","description":"System wallets are used for non-humans to perform functions in the platform; ie custodian, etc"},{"name":"Data Pipeline Field Mapping Step APIs","description":"Field Mapping Step is a step used in Data Pipelines and is used to map fields"},{"name":"User Group APIs","description":"User Groups are ways of identifying groups of users by name and referencing in various parts of the platform"},{"name":"SDZ Specific Term APIs","description":"Terms are managed for the developer's use to find, present terms to users and records acceptance"},{"name":"Customer Directory APIs","description":"Manages all customers and their Secure Data Zones"},{"name":"OData v4 APIs","description":"Reference OData v4 documentation for usage: https://www.odata.org/getting-started/"},{"name":"Data Pipeline RuleSet Step APIs","description":"RuleSet Step is a step used in Data Pipelines and is used to execute a series of rules"},{"name":"Graph Chain APIs","description":"In basic terms, these endpoints are the CRUD+T operations for transactional data on the platform"},{"name":"User Wallet APIs","description":"For managing and obtaining information about user wallets"},{"name":"Data Pipeline Rule APIs","description":"DataPipeline Rule are created individually then later added to rule sets"},{"name":"Glossary Metadata APIs","description":"Glossary items hold no actual function in the secure data zone, merely a method for defining the business terms, usage, interactions, etc of the data within the SDZ"}],"paths":{"/api/metadata/usergroup/{id}":{"get":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get the user group in the secure data zone","operationId":"getUserGroupById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroup"}}}}}},"put":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>put (update) a User group into the secure data zone","operationId":"putUpdateUserGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserGroupReq"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroup"}}}}}},"delete":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>delete the user group in the secure data zone","operationId":"deleteUserGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/user/wallet/{id}":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get the user's wallet in the secure data zone","operationId":"getUserWalletById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}},"put":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzUser</li></ul><br/><br/>put (update) the user's wallet into the secure data zone.  these values will be overridden/updated with data from the next JWT token","operationId":"putUpdateUserWallet","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserWalletUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}},"delete":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>delete the user's wallet in the secure data zone","operationId":"deleteUserWallet","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/user/wallet/{id}/terms/{termsId}":{"put":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>put (update) the user's terms into the secure data zone","operationId":"putUpdateUserTerms","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"termsId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}},"/api/metadata/terms/{id}":{"get":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get a SDZ specific term (by Id)","operationId":"getTermById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Terms"}}}}}},"put":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a terms record for a specific SDZ","operationId":"putTerms","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Terms"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/metadata/terms/{id}/{activeFlag}":{"put":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>set a terms record to active (true) or inactive (false)","operationId":"putTermsActiveFlag","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"activeFlag","in":"path","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Terms"}}}}}}},"/api/metadata/system/wallet/{id}":{"get":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get the system's wallet in the secure data zone","operationId":"getSystemWalletById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}},"put":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>put (update) the system's wallet into the secure data zone","operationId":"putUpdateSystemWallet","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemWalletUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}},"delete":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>delete the system's wallet in the secure data zone","operationId":"deleteSystemWallet","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/glossary":{"get":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query glossaries from the secure data zone","operationId":"getQueryGlossaries","parameters":[{"name":"term","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"abbreviations","in":"query","required":false,"schema":{"type":"string"}},{"name":"aliases","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Glossary"}}}}}}},"put":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>DEPRECATED: Use /{id} endpoint instead. | Put (update or create) the Glossary in the secure data zone.<b><br/><br/>Deprecated since 02 OCT 2024</b>","operationId":"putGlossary","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Glossary"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Glossary"}}}}},"deprecated":true},"post":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>create a glossary term into the secure data zone","operationId":"postGlossary","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Glossary"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Glossary"}}}}}}},"/api/metadata/glossary/{id}":{"get":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets a glossary by ID from the secure data zone; can be more than 1","operationId":"getGlossary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Glossary"}}}}}},"put":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>put (update) the Glossary in the secure data zone","operationId":"putGlossary_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Glossary"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Glossary"}}}}}},"delete":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>deletes a glossary by id from the secure data zone","operationId":"deleteGlossary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/edge/{id}":{"get":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get an edge. based on id","operationId":"getEdgeById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EdgeDef"}}}}}},"put":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>put (update) the edges in the secure data zone","operationId":"putUpdateEdge","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEdgeDefRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>delete an edge definition in the secure data zone, based on id","operationId":"deleteEdgeById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/dictionary":{"get":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query dictionaries from the secure data zone","operationId":"getQueryDicts","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dictionary"}}}}}}},"put":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>DEPRECATED: Update with job instead. | Put (update) the dictionary in the secure data zone.<b><br/><br/>Deprecated since 16 JUL 24</b>","operationId":"putDict","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dictionary"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dictionary"}}}}},"deprecated":true},"post":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>DEPRECATED: Create with job instead. | Create a dictionary into the secure data zone.<b><br/><br/>Deprecated since 16 JUL 24</b>","operationId":"postDict","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Dictionary"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dictionary"}}}}},"deprecated":true}},"/api/metadata/datapipeline/{id}":{"get":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get data pipeline in the secure data zone","operationId":"getIPById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipeline"}}}}}},"put":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a data pipeline in the secure data zone (see POST for description of body)","operationId":"putPipeline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipeline"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipeline"}}}}}},"delete":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>get data pipeline in the secure data zone","operationId":"deleteById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/datapipeline/steps/transform/{id}":{"get":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get JSTransformStep by id","operationId":"getJSTransformStepById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JSTransformStep"}}}}}},"put":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a JsTransformStep","operationId":"putJSTransformStep","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSTransformStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JSTransformStep"}}}}}},"delete":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Delete JSTransformStep by id","operationId":"deleteJSTransformStepById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/datapipeline/steps/ruleset/{id}":{"get":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get RuleSetStep by id","operationId":"getRuleSetStepId","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RuleSetStep"}}}}}},"put":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a RuleSetStep","operationId":"putRuleSetStep","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleSetStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RuleSetStep"}}}}}},"delete":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Delete RuleSetStep by id","operationId":"deleteRuleSetStepById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/datapipeline/steps/fieldmapping/{id}":{"get":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get FieldMappingSteps by id","operationId":"getFieldMappingStepById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FieldMappingStep"}}}}}},"put":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a new FieldMappingStep","operationId":"putFieldMappingStep","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FieldMappingStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FieldMappingStep"}}}}}},"delete":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Delete FieldMappingSteps by id","operationId":"deleteFieldMappingStepById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/metadata/datapipeline/rule/{id}":{"get":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get Rule by id","operationId":"getRuleById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Rule"}}}}}},"put":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Update a Rule","operationId":"putRule","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rule"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Rule"}}}}}},"delete":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Delete Rule by id","operationId":"deleteRuleById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/jobs/requeue":{"put":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>biqAdmin</li><li>sdzAdmin</li></ul><br/><br/>requeue jobs IF the job queue is empty but there are queued jobs in the SDZ","operationId":"putRequeueJobs","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}},"/api/graphchain/{fromDict}/edges/{edgeId}":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>updates an edge with a from chain and edge ID; must be owner or limited owner","operationId":"putUpdateEdgeById","parameters":[{"name":"fromDict","in":"path","required":true,"schema":{"type":"string"}},{"name":"edgeId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEdgeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Edge"}}}}}}},"/api/graphchain/{chain}":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>upsert asset by primary key","operationId":"putUpsertAsset","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpsertAssetRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset_Public"}}}}}},"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>create an asset in a chain","operationId":"postCreateAsset","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAssetRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset_Public"}}}}}},"patch":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>patch specific elements of the asset by primary key (inline with other data)","operationId":"patchAsset","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset"}}}}}}},"/api/graphchain/{chain}/{sdoId}":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get smart data object by sdo id; must be owner or limited owner","operationId":"getSDO","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDO_Public"}}}}}},"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>update elements of the asset by SDO id","operationId":"putUpdateAsset","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset_Public"}}}}}},"delete":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>get smart data object by sdo id; must be owner or limited owner","operationId":"deleteSDO","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/graphchain/{chain}/{sdoId}/{attribute}/blobs":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>Upsert a blob, only works with scalar","operationId":"putUpsertBlob","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}},{"name":"metadata","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SDOBlob_Public"}}}}}},"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>adds a blob to an SDO by ID and its attribute","operationId":"postBlob","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}},{"name":"metadata","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SDOBlob_Public"}}}}}},"delete":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>deletes a blob(s) from an SDO by attribute name","operationId":"deleteBlob","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResponse"}}}}}}},"/api/graphchain/{chain}/{sdoId}/{attribute}/blobs/{blobHash}":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get blob data for an SDO specifically for an attribute and its hash","operationId":"getBlob","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}},{"name":"blobHash","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}},"application/json":{"schema":{"type":"string","format":"binary"}}}}}},"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>Replace a specific blob on an SDO by its ID, attribute, and hash of the blob to replace","operationId":"putBlob","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}},{"name":"blobHash","in":"path","required":true,"schema":{"type":"string"}},{"name":"metadata","in":"query","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SDOBlob_Public"}}}}}},"delete":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>deletes a blob(s) from an SDO by attribute name and blob hash","operationId":"deleteBlobByHash","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"path","required":true,"schema":{"type":"string"}},{"name":"blobHash","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/api/graphchain/{chain}/{sdoId}/verification":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>add verification data into the SDO; must be owner or limited owner","operationId":"putVerificationInSDO","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerificationRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDO_Public"}}}}}}},"/api/graphchain/{chain}/{sdoId}/transfer":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>transfer a smart data object by sdo id; must be owner or limited owner","operationId":"putTransferSDO","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDO_Public"}}}}}}},"/api/graphchain/{chain}/{sdoId}/revert":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>Revert an SDO by sdo id to the previous SDO.  To revert an sdo, the following must be true:\n  1. The current sdo must be the result of an UPDATE or a TRANSFER,\n  2. You must be the signer of the current sdo.\n  3. You must be an owner of the previous sdo.\n  4. The revert must happen within 30 seconds of the update/transfer of the current sdo.\n\nThe revert will remove the previous version of the sdo in history and make it the current sdo.  The sdo\nreverted is not put into history.  All manual edge and blob changes made between the pervious and current sdo\nwill need to be handled manually.  Auto edges will update automatically.\n","operationId":"putRevertSDO","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset_Public"}}}}}}},"/api/graphchain/{chain}/smartcontracts/{sdoId}":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>update a smart contract","operationId":"putUpdateSmartContract","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmartContractRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOSmartContract_Public"}}}}}}},"/api/graphchain/{chain}/consentcontracts/{sdoId}":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzUser</li></ul><br/><br/>update a consent contract","operationId":"putUpdateConsentContract","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateConsentContractRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDO_Public"}}}}}}},"/api/graphchain/{chain}/bulk":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>bulk upsert assets by primary key (order may not be followed); takes an array of [{data:{}, metadata:{}}...] objects","operationId":"putUpsertBulkAssets","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpsertBulkAssetRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UpsertBulkAssetResponse_Public"}}}}}}},"/api/graphchain/edge":{"put":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>upsert an edge between 2 SDOs; must be owner or limited owner","operationId":"putUpsertEdge","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewFullEdgeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Edge"}}}}}}},"/api/metadata/usergroup":{"get":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query user groups from the secure data zone","operationId":"getQueryUserGroups","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"groupContains","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"}}}}}}},"post":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>create a User group into the secure data zone","operationId":"postCreateUserGroup","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserGroupReq"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroup"}}}}}}},"/api/metadata/user/wallet":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query user wallets from the secure data zone","operationId":"getQueryUserWallets","parameters":[{"name":"principal","in":"query","required":false,"schema":{"type":"string"}},{"name":"email","in":"query","required":false,"schema":{"type":"string"}},{"name":"fullName","in":"query","required":false,"schema":{"type":"string"}},{"name":"id","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"ids","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}},"post":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Insert user's wallet into the secure data zone","operationId":"postUserWallet","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserWalletUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}},"/api/metadata/terms":{"get":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query terms from a SDZ","operationId":"getTerms","parameters":[{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"active","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"version","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Terms"}}}}}}},"post":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a sdz specific terms record","operationId":"postTerms","parameters":[{"name":"name","in":"query","required":true,"schema":{"type":"string"}},{"name":"active","in":"query","required":true,"schema":{"type":"boolean"}},{"name":"version","in":"query","required":true,"schema":{"type":"string"}},{"name":"type","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Terms"}}}}}}},"/api/metadata/system/wallet":{"get":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query system wallets from the secure data zone","operationId":"getQuerySystemWallets","parameters":[{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string","enum":["CUSTODIAN_OWNER","CUSTODIAN_LIMITED_OWNER","TENANT_OWNER","TENANT_LIMITED_OWNER"]}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}}},"post":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzGovernance</li></ul><br/><br/>create a system's wallet into the secure data zone","operationId":"postCreateSystemWallet","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemWalletCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}}},"/api/metadata/glossary/import":{"post":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>loads a file of glossary items; field names in file must match Glossary structure; any field not standard will be added to the properties sub-document; each record is an no upsert (id field will be the key)","operationId":"postGlossaryFile","requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/metadata/edge":{"get":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query edges from the secure data zone","operationId":"getQueryEdges","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"fromDictionary","in":"query","required":false,"schema":{"type":"string"}},{"name":"toDictionary","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EdgeDef"}}}}}}},"post":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>post (insert) the edges into the secure data zone","operationId":"postCreateEdge","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EdgeDef"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EdgeDef"}}}}}}},"/api/metadata/dictionary/predict":{"post":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>uses a data file to predict a dictionary definition (uses Nostradamus","operationId":"postPredictDict","parameters":[{"name":"sheetNum","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sheetName","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"standardizeNames","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"primaryIndexCols","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"maxRowsToUse","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":10000}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DictionaryMapping"}}}}}}},"/api/metadata/datapipeline":{"get":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query data pipelines from the secure data zone","operationId":"getPipelines","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"stepIdsContains","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","format":"uuid"}}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataPipeline"}}}}}}},"post":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a data pipeline in the secure data zone.\n\nFor all the details, see the Dev Docs!\n\nAn data pipeline is a series of steps (at least 1) that GraphChain will process inbound\ndata through. These steps are of 3 types:  Field Mapping, JavaScript Transform, and\nRules.  The input to the first step is the full record of the inbound data. The output\nof that step is then the input into the next step and so forth.\n\nThe structure of an data pipeline is name, stepIds (optional), and description\n(optional).  This is the basic structure:\n\n<pre>\n{\n  \"name\": \"testPipeline\",\n  \"description\": \"a test pipeline\",\n  \"stepIds\": [ ... ]\n}\n</pre>\n\nThe stepIds are an array of stepIds these stepIds refer to objects of these three types.\n\n* FieldMappingStep\n\n* JSTransformStep\n\n* RuleSetStep\n\nThis typically is the order of simplest to most complex of steps.  Each subsequent step\nin the list is capable of performing the functions of the previous steps.  It is up to\nthe admin (or developer) to decide the best tool for the job.\n\n<b>FieldMappingStep</b>\n\nThis step will rename inbound field names into the field (attribute) names expected by\nthe dictionary. Can rename nested attributes too, using a dot path notation.  Not all\nfields must be in the map; if the inbound field name is already correct it can be omitted\nfrom the map.  If a field is in the map but the value is NULL then it will be removed from\nthe inbound data.\n\nThe step has a required map field and type field (FIELD_MAPPING). The name and description\nfields are optional, the exist to help the user with documentation.\n\n\n<b>JSTransformStep</b>\n\nThis step will take the entire inbound data record as the only argument to a function.\nThat function needs to return a JS dictionary (object) as the return value.  The\ntype (JS_TRANSFORM) and jsBase64 fields are required. The JavaScript can contain more\nthan 1 function if that helps the developer, but there must be one function that is the\nentry point of the transform.  If the developer names that function \"xform\" then the\nfuncName field is not required (since it defaults to xform). In this case the JS has a\nfunction called \"convert\" that should be called.  The name and description fields are\noptional for this step just like Field Mapping (omitted here for example).\n\n<b>RuleSetStep</b>\n\nThe final step available is RuleSet, a Ruleset contains an array of ruleIds, each ruleId\nrefers to  a Drools Rule that is to be executed.  This rule set can be used\nfor numerous use-cases: field mapping, transforming data, applying data quality rules,\nrejecting or tagging data as issues.  T\n","operationId":"postPipeline","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipeline"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipeline"}}}}}}},"/api/metadata/datapipeline/{id}/trial-run":{"post":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>using datapipeline id, looks up the steps and executes a each step in sequence against a single data record and returns what the result would be","operationId":"postDataPipelineTrialRun","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}}}}}},"/api/metadata/datapipeline/steps/transform":{"get":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get JSTransformSteps by query","operationId":"getQueryJSTransformSteps","parameters":[{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JSTransformStep"}}}}}}},"post":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a new JsTransformStep","operationId":"postJSTransformStep","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSTransformStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JSTransformStep"}}}}}}},"/api/metadata/datapipeline/steps/transform/{id}/trial-run":{"post":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>using step id, looks up the step and executes a single step against a single data record and returns what the result would be","operationId":"postJsTransformStepTrialRun","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}}}}}},"/api/metadata/datapipeline/steps/ruleset":{"get":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get RuleSetStep by query","operationId":"getQueryRuleSetSteps","parameters":[{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RuleSetStep"}}}}}}},"post":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a new RuleSetStep","operationId":"postStep","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleSetStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RuleSetStep"}}}}}}},"/api/metadata/datapipeline/steps/ruleset/{id}/trial-run":{"post":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>using step id, looks up the step and executes a single step against a single data record and returns what the result would be","operationId":"postRuleSetStepTrialRun","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}}}}}},"/api/metadata/datapipeline/steps/fieldmapping":{"get":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get FieldMappingSteps by query","operationId":"queryFieldMappingSteps","parameters":[{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FieldMappingStep"}}}}}}},"post":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a new FieldMappingStep","operationId":"postFieldMappingStep","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FieldMappingStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FieldMappingStep"}}}}}}},"/api/metadata/datapipeline/steps/fieldmapping/{id}/trial-run":{"post":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>using step id, looks up the step and executes a single step against a single data record and returns what the result would be","operationId":"postFieldMappingStepTrialRun","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataPipelineInput"}}}}}}},"/api/metadata/datapipeline/rule":{"get":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Get Rules by query","operationId":"getQueryRules","parameters":[{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rule"}}}}}}},"post":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>Create a new Rule","operationId":"postRule","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Rule"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Rule"}}}}}}},"/api/jobs/{chain}/upload":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>adds data from a file as assets into GraphChain as an async job","operationId":"postUploadFile","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"owners","in":"query","required":false,"schema":{"type":"string"}},{"name":"limitedOwners","in":"query","required":false,"schema":{"type":"string"}},{"name":"metadata","in":"query","required":false,"schema":{"type":"string"}},{"name":"dataPipelineName","in":"query","required":false,"schema":{"type":"string"}},{"name":"sheetNum","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sheetName","in":"query","required":false,"schema":{"type":"string"}},{"name":"operation","in":"query","required":false,"schema":{"type":"string"}},{"name":"numThreads","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":1,"minimum":1}},{"name":"emailResultsTo","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"uniqueItems":true}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileUploadJob_Public"}}}}}}},"/api/jobs/{chain}/truncate":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>truncate all data in a graph chain in the secure data zone; preserves chain, dictionary, edge definitions, etc","operationId":"postTruncateChain","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TruncateChainJobRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TruncateChainJob_Public"}}}}}}},"/api/jobs/{chain}/smartcontracts/{sdoId}/{func}":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>execute a smart contract, by address (sdo id) with arguments as named fields in the form; as an async job","operationId":"postExecuteSmartContract","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"func","in":"path","required":true,"schema":{"type":"string"}},{"name":"emailResultsTo","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"uniqueItems":true}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmartContractExecJob_Public"}}}}}}},"/api/jobs/{chain}/export":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Exports data from a single chain and produces a JSON file, caller can request skip/limit of data for pagination of results always ordered by SDO ID; can be SFTP'ed or downloaded as an async job.","operationId":"postExportFile","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportFileRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportDownloadJob_Public"}}}}}}},"/api/jobs/{chain}/drop":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>drops chain, all data, and all edges to/from this chain","operationId":"postDropChain","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropChainJobRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropChainJob_Public"}}}}}}},"/api/jobs/sdz/wipe":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>wipe all data, job infos, and blobs from the SDZ (NOT metadata)","operationId":"postWipeSDZ","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropChainJobRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WipeSDZDataJob_Public"}}}}}}},"/api/jobs/sdz/reset":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>reset (wipe) all data and metadata; essentially reset the SDZ to look like its newly created","operationId":"postResetSDZ","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DropChainJobRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResetSDZJob_Public"}}}}}}},"/api/jobs/download":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>queries data and produces a file; can be SFTP'ed or for downloaded as an async job. Supported file formats are CSV, PIPE, TAB, XLSX, and JSON. Warning: Care is needed when using CSV as there can be issues when the data is variable, complex and/or not fixed columns","operationId":"postDownloadFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DownloadFileRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FileDownloadJob_Public"}}}}}}},"/api/jobs/dictionary":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>load (upsert) a dictionary into the SDZ using 1) POST with JSON body with dictionary and emailResultsTo (optional); or 2) MULTIPART POST with dictionary file and emailResultsTo (optional) as form fields","operationId":"postDictionaryFile","parameters":[{"name":"emailResultsTo","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"uniqueItems":true}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}},"application/json":{"schema":{"$ref":"#/components/schemas/DictionaryUploadJobRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DictionaryUploadJob_Public"}}}}}}},"/api/jobs/dbschema":{"post":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>loads a dbschema (.dbs) XML file into the secure data zone; if delete is true any dictionaries in the SDZ not specified in the DbSchema file will be dropped","operationId":"postDbSchemaFile","parameters":[{"name":"delete","in":"query","description":"Required. If delete is true any dictionaries in the SDZ not specified in the DbSchema file will be dropped","required":true,"schema":{"type":"boolean"}},{"name":"emailResultsTo","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"},"uniqueItems":true}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}},"required":["file"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DbSchemaUploadJob_Public"}}}}}}},"/api/graphchain/{chain}/{sdoId}/edges":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>create an edge between 2 SDOs; must be owner or limited owner; could return 200 empty response if edge already exists","operationId":"postCreateEdge_1","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewEdgeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Edge"}}}}}}},"/api/graphchain/{chain}/smartcontracts":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>create a smart contract; request body must be ","operationId":"postCreateSmartContract","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SmartContractRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDO_Public"}}}}}}},"/api/graphchain/{chain}/consentcontracts":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzUser</li></ul><br/><br/>create a consent contract","operationId":"postCreateConsentContract","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrUpdateConsentContractRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOConsentContract_Public"}}}}}}},"/api/graphchain/query":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>DEPRECATED Content-Type=application/json (09 MAY 24): Use ContentType=text/plain instead. | Query assets by TQL.","operationId":"postQuery","requestBody":{"content":{"text/plain":{"schema":{"type":"string"}},"application/json":{"schema":{"$ref":"#/components/schemas/QueryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object"}}}}}}}},"/api/graphchain/query/validate":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>DEPRECATED Content-Type=application/json (09 MAY 24): Use ContentType=text/plain. | Validate a given query for syntax; optional enforcement options.","operationId":"postValidate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryValidateRequest"}},"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/api/graphchain/query/validate/graph":{"post":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>DEPRECATED (use /query/validate): validate a given query for syntax, must have GRAPH command; optional enforcement options<b><br/><br/>Deprecated since 23 JUN 2025</b>","operationId":"postValidateGraph","requestBody":{"content":{"text/plain":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"deprecated":true}},"/api/blastai/conversation/user":{"post":{"tags":["BlastAI APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>request conversational response to user's prompt; where the user is a developer/admin/user","operationId":"postDevConversation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConversationResponse"}}}}}}},"/api/blastai/conversation/public":{"post":{"tags":["BlastAI APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>request conversational response to user's prompt; where the user is a public user, not a customer","operationId":"postCorpConversation","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConversationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ConversationResponse"}}}}}}},"/api/graphchain/{chain}/bypk":{"patch":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzUser</li></ul><br/><br/>patch specific elements of the asset by primary key (using pkFields and pkPatchFields.  NOTE: this DOES allow for updating the primary key as well","operationId":"patchAssetWithPkFields","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchAssetRequest_Public"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDOAsset_Public"}}}}}}},"/api/odata/v4/full":{"get":{"tags":["OData v4 APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>OData v4 API","operationId":"getProcess","responses":{"200":{"description":"OK"}}}},"/api/odata/v4/full/*":{"get":{"tags":["OData v4 APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>OData v4 API","operationId":"getProcess_1","responses":{"200":{"description":"OK"}}}},"/api/odata/v4/basic/*":{"get":{"tags":["OData v4 APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>OData v4 API for non-complex data","operationId":"getProcessBasic","responses":{"200":{"description":"OK"}}}},"/api/odata/v4/basic":{"get":{"tags":["OData v4 APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>OData v4 API for non-complex data","operationId":"getProcessBasic_1","responses":{"200":{"description":"OK"}}}},"/api/metrics/sdz":{"get":{"tags":["Metrics APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>full set of sdz metrics","operationId":"getSDZMetrics","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SDZMetrics"}}}}}}},"/api/metadata/wallet":{"get":{"tags":["Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query user OR system wallets from the secure data zone","operationId":"getQueryWallets","parameters":[{"name":"email","in":"query","required":false,"schema":{"type":"string"}},{"name":"fullName","in":"query","required":false,"schema":{"type":"string"}},{"name":"id","in":"query","required":false,"schema":{"type":"string"}},{"name":"ids","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WalletResolverResponse"}}}}}}},"/api/metadata/usergroup/{id}/history":{"get":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a userGroup","operationId":"getHistory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"}}}}}}}},"/api/metadata/usergroup/search":{"get":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"},"uniqueItems":true}}}}}}},"/api/metadata/usergroup/lookup":{"get":{"tags":["User Group APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get the user group in the secure data zone","operationId":"getUserGroupByName","parameters":[{"name":"name","in":"query","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserGroup"}}}}}}},"/api/metadata/user/wallet/{id}/history":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a userWallet","operationId":"getHistory_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}}},"/api/metadata/user/wallet/self":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get the logged in user's wallet in the secure data zone","operationId":"getUserWalletForLoggedInUser","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}},"/api/metadata/user/wallet/search":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for wallet, search terms applied to email only","operationId":"getSearch_1","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserWallet"},"uniqueItems":true}}}}}}},"/api/metadata/user/wallet/lookup":{"get":{"tags":["User Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get user wallet from email","operationId":"getUserWalletByEmail","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/UserWalletResponse"}}}}}}},"/api/metadata/terms/{id}/history":{"get":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a terms","operationId":"getHistory_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Terms"}}}}}}}},"/api/metadata/terms/search":{"get":{"tags":["SDZ Specific Term APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Search for terms record within a specific SDZ","operationId":"getSearch_2","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Terms"},"uniqueItems":true}}}}}}},"/api/metadata/system/wallet/{id}/history":{"get":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a systemWallet","operationId":"getHistory_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}}}},"/api/metadata/system/wallet/self":{"get":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query system wallets from the secure data zone the the user is a member of","operationId":"getUserMemberSystemWallets","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemWalletResponse"}}}}}}}},"/api/metadata/system/wallet/search":{"get":{"tags":["System Wallet APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch_3","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SystemWallet"},"uniqueItems":true}}}}}}},"/api/metadata/search":{"get":{"tags":["Metadata Util APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms across all the metadata; any of the terms","operationId":"getSearchMetadata","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchResults"}}}}}}},"/api/metadata/glossary/{id}/history":{"get":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a glossary","operationId":"getHistory_4","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Glossary"}}}}}}}},"/api/metadata/glossary/search":{"get":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch_4","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Glossary"},"uniqueItems":true}}}}}}},"/api/metadata/glossary/export":{"get":{"tags":["Glossary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Export glossaries as JSON","operationId":"exportGlossary","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/api/metadata/export":{"get":{"tags":["Metadata Util APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>exports metadata as XLSX file","operationId":"getExport","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/api/metadata/edge/{id}/history":{"get":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of an edge definition","operationId":"getHistory_5","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EdgeDef"}}}}}}}},"/api/metadata/edge/{from}/{to}/{name}":{"get":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get an edge. based on from dictionary, to dictionary and label, from the secure data zone","operationId":"getEdge","parameters":[{"name":"from","in":"path","required":true,"schema":{"type":"string"}},{"name":"to","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EdgeDef"}}}}}}},"/api/metadata/edge/search":{"get":{"tags":["Edge Definition Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch_5","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EdgeDef"},"uniqueItems":true}}}}}}},"/api/metadata/dictionary/{name}":{"get":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets a dictionary by name from the secure data zone","operationId":"getDict","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Dictionary"}}}}}},"delete":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>DEPRECATED: Use drop job instead. | BEWARE: Deletes a dictionary by name from the secure data zone AND it data.<b><br/><br/>Deprecated since 16 JUL 24</b>","operationId":"deleteDict","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"deprecated":true}},"/api/metadata/dictionary/{name}/history":{"get":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a dictionary","operationId":"getHistory_6","parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dictionary"}}}}}}}},"/api/metadata/dictionary/search":{"get":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch_6","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dictionary"},"uniqueItems":true}}}}}}},"/api/metadata/dictionary/referenceable/{type}":{"get":{"tags":["Dictionary Metadata APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>query dictionaries from the secure data zone that can be used in a reference datatype","operationId":"getQueryDictsReferencable","parameters":[{"name":"type","in":"path","required":true,"schema":{"type":"string","enum":["STRING","INTEGER","LONG","STRING_REFERENCE","INTEGER_REFERENCE","LONG_REFERENCE","BOOLEAN","DECIMAL","DATE","DATETIME","ENUM","FINGERPRINT","CLOB","BLOB","OBJECT","STRING_ARRAY","INTEGER_ARRAY","LONG_ARRAY","STRING_REFERENCE_ARRAY","INTEGER_REFERENCE_ARRAY","LONG_REFERENCE_ARRAY","BOOLEAN_ARRAY","DECIMAL_ARRAY","DATE_ARRAY","DATETIME_ARRAY","ENUM_ARRAY","BLOB_ARRAY","OBJECT_ARRAY","VECTOR","INTEGER_REFERENCE","INTEGER_REFERENCE_ARRAY","LONG_REFERENCE","LONG_REFERENCE_ARRAY","STRING_REFERENCE","STRING_REFERENCE_ARRAY"]}},{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"description","in":"query","required":false,"schema":{"type":"string"}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Dictionary"}}}}}}}},"/api/metadata/datapipeline/{id}/history":{"get":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a dataPipeline","operationId":"getHistory_7","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataPipeline"}}}}}}}},"/api/metadata/datapipeline/summary":{"get":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get step summary info for all steps in the secure data zone","operationId":"getStepSummaries","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"object"}}}}}}}},"/api/metadata/datapipeline/steps/transform/{id}/history":{"get":{"tags":["Data Pipeline JS Transform Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a jSTransformStep","operationId":"getHistory_8","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JSTransformStep"}}}}}}}},"/api/metadata/datapipeline/steps/ruleset/{id}/history":{"get":{"tags":["Data Pipeline RuleSet Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a ruleSetStep","operationId":"getHistory_9","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RuleSetStep"}}}}}}}},"/api/metadata/datapipeline/steps/fieldmapping/{id}/history":{"get":{"tags":["Data Pipeline Field Mapping Step APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a fieldMappingStep","operationId":"getHistory_10","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FieldMappingStep"}}}}}}}},"/api/metadata/datapipeline/search":{"get":{"tags":["Data Pipeline APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>search for terms","operationId":"getSearch_7","parameters":[{"name":"terms","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DataPipeline"},"uniqueItems":true}}}}}}},"/api/metadata/datapipeline/rule/{id}/history":{"get":{"tags":["Data Pipeline Rule APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets the history of a rule","operationId":"getHistory_11","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Rule"}}}}}}}},"/api/jobs":{"get":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Deprecated. Replace with combination of /api/jobs/query/summary for a list of job infos and /api/jobs/{jobId} for the details of a specific job info<b><br/><br/>Deprecated since 08 MAY 2025</b>","operationId":"getQueryJobInfo","parameters":[{"name":"name","in":"query","required":false,"schema":{"type":"string"}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","required":false,"schema":{"type":"string","enum":["NEW","QUEUED","RUNNING","CANCELLED","COMPLETED_ERROR","COMPLETED_SUCCESS","INCOMPLETE_ERROR"]}},{"name":"callerId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"daysToReturn","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":5}},{"name":"orderBy","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JobBase_Public"}}}}}},"deprecated":true}},"/api/jobs/{jobId}":{"get":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get job info for a specific job id","operationId":"getJobInfo","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobBase_Public"}}}}}},"delete":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzUser</li></ul><br/><br/>cancel a pending job","operationId":"deleteCancelJob","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}},"/api/jobs/query/summary":{"get":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>Query for a summary of job infos (See JobInfoSummary schema for fields).  Use /api/jobs/{jobId} to load complete job info","operationId":"getQueryJobInfoSummaries","parameters":[{"name":"name","in":"query","description":"Name of job. Can be an exact match or wildcard","required":false,"schema":{"type":"string"},"examples":{"exact match":{"description":"Exact match","value":"name=FileUploadJob"},"wildcard match":{"description":"For all job infos with Upload in the name","value":"name=*Upload*"}}},{"name":"status","in":"query","description":"Status of job. Exact match only","required":false,"schema":{"type":"string","enum":["NEW","QUEUED","RUNNING","CANCELLED","COMPLETED_ERROR","COMPLETED_SUCCESS","INCOMPLETE_ERROR"]}},{"name":"loggedInId","in":"query","description":"User wallet id of the logged in user that started the job. Only for sdzAdmins. Exact match only","required":false,"schema":{"type":"string","format":"uuid"},"examples":{"match example #1":{"description":"Logged In Id must be 3fa85f64-5717-4562-b3fc-2c963f66afa6","value":"loggedInId=3fa85f64-5717-4562-b3fc-2c963f66afa6"},"match example #2":{"description":"Logged In Id must be a41147fb-3915-4a7f-991d-a70e2b3bdfaf","value":"loggedInId=a41147fb-3915-4a7f-991d-a70e2b3bdfaf"}}},{"name":"daysToReturn","in":"query","description":"Limit results to jobs create in the last number of days","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"orderBy","in":"query","description":"Order by field(s) with optional ACS or DESC keyword after each field","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"limit","in":"query","description":"Maximum amount of job infos to return.  Use orderBy to ensure consistent ordering job infos","required":false,"schema":{"type":"integer","format":"int32","default":100}},{"name":"skip","in":"query","description":"Skip the X number of job infos then return the remaining job infos within the limit.  Use orderBy to ensure consistent ordering of job infos","required":false,"schema":{"type":"integer","format":"int32","default":0}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobInfoSummaryResponse"}}}}}}},"/api/jobs/download/{jobId}":{"get":{"tags":["Job Manager APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>after the download job is completed, get the file (if not SFTP'ed). WARNING: files are deleted after being downloaded","operationId":"getDownloadFile","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}}}}}},"/api/graphchain/{from}/edges/{edgeId}":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets an edge with a from chain and edge ID","operationId":"getEdgeById_1","parameters":[{"name":"from","in":"path","required":true,"schema":{"type":"string"}},{"name":"edgeId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Edge"}}}}}}},"/api/graphchain/{fromDict}/{fromSdoId}/edges":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>gets all outbound edges with a from SDO; must be owner or limited owner","operationId":"getEdges","parameters":[{"name":"fromDict","in":"path","required":true,"schema":{"type":"string"}},{"name":"fromSdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FullEdge_Public"}}}}}}}},"/api/graphchain/{chain}/{sdoId}/verify/signature":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>verify signature of smart data object by sdo id or hash","operationId":"getVerifySignature","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BooleanResponse"}}}}}}},"/api/graphchain/{chain}/{sdoId}/verify/hash":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>verify hash of smart data object by sdo id or hash","operationId":"getVerifyHash","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BooleanResponse"}}}}}}},"/api/graphchain/{chain}/{sdoId}/history":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get smart data object history by sdo id; must be owner or limited owner","operationId":"getSDOHistory","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SDO_Public"}}}}}}}},"/api/graphchain/{chain}/{sdoId}/blobs":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzReadOnly</li><li>sdzUser</li></ul><br/><br/>get blob(s) info for an SDO; optionally can specify a blob attribute for filtering","operationId":"getBlobInfo","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"sdoId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"attribute","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SDOBlob_Public"}}}}}}}},"/api/graphchain/{chain}/smartcontracts/receipts":{"get":{"tags":["Graph Chain APIs"],"description":"<b>Allowed user roles:</b><br/><ul><li>sdzAdmin</li></ul><br/><br/>gets smart contract receipts, by where clause, orderBy clause, and limit/skip.  these are optional but must include a where clause or a limit.  the orderBy format is a comma separated list of: name [ACS | DESC]","operationId":"getQuerySmartContractReceipts","parameters":[{"name":"chain","in":"path","required":true,"schema":{"type":"string"}},{"name":"where","in":"query","required":false,"schema":{
[...]
